package com.vazil.vridge.docs.repository;

import com.vazil.vridge.docs.model.Guide;
import com.vazil.vridge.docs.model.GuideTest;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface GuideTestRepository extends CrudRepository<GuideTest, String> {
    List<GuideTest> findAll();
    List<GuideTest> findAllByOrderByOrder();
    List<GuideTest> findAllByPathContainingAndDepth(String path, Integer depth);
    List<GuideTest> findAllByPathContainingAndDepthOrderByOrderDesc(String path, Integer depth);
    GuideTest findByPath(String path);
    GuideTest findByPathContainingAndDepthAndOrder(String path, Integer depth, Integer order);
}
